Package org.jboss.resteasy.spi.metadata

## Class ResourceBuilder.ResourceMethodParameterBuilder

- java.lang.Object
- - org.jboss.resteasy.spi.metadata.ResourceBuilder.ParameterBuilder<T>
  - - org.jboss.resteasy.spi.metadata.ResourceBuilder.LocatorMethodParameterBuilder<ResourceBuilder.ResourceMethodParameterBuilder>
    - - org.jboss.resteasy.spi.metadata.ResourceBuilder.ResourceMethodParameterBuilder

- Enclosing class:
    ResourceBuilder

      public static class ResourceBuilder.ResourceMethodParameterBuilder
      extends ResourceBuilder.LocatorMethodParameterBuilder<ResourceBuilder.ResourceMethodParameterBuilder>

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `ResourceMethodParameterBuilder​(ResourceBuilder.ResourceMethodBuilder method, MethodParameter param)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `protected void` | `doFromAnnotations()` |
    `ResourceBuilder.ResourceMethodParameterBuilder` | `fromAnnotations()` |
    `ResourceBuilder.ResourceMethodParameterBuilder` | `suspended()` |

    - ### Methods inherited from class org.jboss.resteasy.spi.metadata.ResourceBuilder.LocatorMethodParameterBuilder

      `buildMethod, param`

    - ### Methods inherited from class org.jboss.resteasy.spi.metadata.ResourceBuilder.ParameterBuilder

      `beanParam, context, cookieParam, defaultValue, encoded, form, form, formParam, genericType, getParameter, headerParam, matrixParam, messageBody, pathParam, queryParam, type, type`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ResourceMethodParameterBuilder

          public ResourceMethodParameterBuilder​(ResourceBuilder.ResourceMethodBuilder method,
                                                MethodParameter param)

  - ### Method Detail

    - #### suspended

          public ResourceBuilder.ResourceMethodParameterBuilder suspended()

    - #### fromAnnotations

          public ResourceBuilder.ResourceMethodParameterBuilder fromAnnotations()

      Overrides:
        `fromAnnotations` in class `ResourceBuilder.ParameterBuilder<ResourceBuilder.ResourceMethodParameterBuilder>`

    - #### doFromAnnotations

          protected void doFromAnnotations()